<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h3><strong>Add Driver</strong></h3>
      </div>
      <div class="ibox-content">
        <form class="form-horizontal" autocomplete="offaaki" [formGroup]="DriverForm" #f="ngForm"
          (ngSubmit)="addDriver()">
          <div class="row">
            <div class="col-lg-6">
              <div class="form-group">
                <label class="col-sm-2 control-label">Username <i aria-hidden="true" class="mandatory">*</i>
                </label>
                <div class="col-sm-10 form-input">
                  <label style="display:none">FAKE FIELD FOR DISABLING CHROME AUTO FILL
                  </label>
                  <input class="form-control" placeholder="Username" maxlength="15" type="text" name="username"
                    formControlName="username" />
                  <div class="error-msg" *ngIf="
                      DriverForm.controls['username'].invalid &&
                      (DriverForm.controls['username'].dirty ||
                        DriverForm.controls['username'].touched ||
                        f.submitted)
                    ">
                    <div *ngIf="DriverForm.controls['username'].errors.required">
                      Username is required.
                    </div>
                  </div>
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Profile Image</label>
                <div class="col-md-10">
                  <image-upload [extensions]="['jpeg', 'jpg', 'png']" [buttonCaption]="'Select Image'" [max]="1"
                    [maxFileSize]="1048576" (removed)="onRemoved($event)"
                    (uploadFinished)="imageFinishedUploading($event)"
                    (uploadStateChanged)="onUploadStateChanged($event)">
                  </image-upload>
                  <span *ngIf="spandata == 'yes'" class="image-format clearimage">
                    Remove old image before new upload.
                  </span>
                  <span class="image-format">
                    Only jpeg, jpg, png formats are allowed.
                  </span>
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Password <i aria-hidden="true" class="mandatory">*</i>
                </label>
                <div class="col-sm-10  form-input">
                  <label style="display:none">FAKE FIELD FOR DISABLING CHROME AUTO FILL
                  </label>
                  <input type="password" placeholder=" Password" formControlName="password" minlength="5"
                    class="form-control" />
                  <div class="error-msg" *ngIf="
                      DriverForm.controls['password'].invalid &&
                      (DriverForm.controls['password'].dirty ||
                        DriverForm.controls['password'].touched ||
                        f.submitted)
                    ">
                    <div *ngIf="DriverForm.controls['password'].errors.required">
                      Password is required.
                    </div>
                    <div *ngIf="DriverForm.controls['password'].errors.minlength">
                      Password should be atleast 8 characters long.
                    </div>
                    <div *ngIf="DriverForm.controls['password'].errors.pattern">
                      Password should contain lowercase, uppercase and number.
                    </div>
                  </div>
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Name <i aria-hidden="true" class="mandatory">*</i>
                </label>
                <div class="col-sm-10  form-input">
                  <input type="text" maxlength="20" placeholder=" Name" formControlName="name" class="form-control" />
                  <div class="error-msg" *ngIf="
                      DriverForm.controls['name'].invalid &&
                      (DriverForm.controls['name'].dirty ||
                        DriverForm.controls['name'].touched ||
                        f.submitted)
                    ">
                    <div *ngIf="DriverForm.controls['name'].errors.required">
                      Name is required.
                    </div>
                  </div>
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Surname</label>
                <div class="col-sm-10  form-input">
                  <input type="text" maxlength="20" formControlName="surname" placeholder=" Surname"
                    class="form-control" />
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Display name <i aria-hidden="true" class="mandatory">*</i>
                </label>
                <div class="col-sm-10  form-input">
                  <input type="text" maxlength="25" formControlName="display_name" placeholder=" Display name"
                    class="form-control" />
                  <div class="error-msg" *ngIf="
                      DriverForm.controls['display_name'].invalid &&
                      (DriverForm.controls['display_name'].dirty ||
                        DriverForm.controls['display_name'].touched ||
                        f.submitted)
                    ">
                    <div *ngIf="
                        DriverForm.controls['display_name'].errors.required
                      ">
                      Display name is required.
                    </div>
                  </div>
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">OIB</label>
                <div class="col-sm-10  form-input">
                  <input type="text" maxlength="20" formControlName="oib" placeholder=" OIB" class="form-control" />
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Gender <i aria-hidden="true" class="mandatory">*</i>
                </label>
                <div class="col-sm-10  form-input">
                  <mat-select class="form-control" formControlName="gender" placeholder="Gender">
                    <mat-option value="male">Male</mat-option>
                    <mat-option value="female">Female</mat-option>
                  </mat-select>
                  <div class="error-msg" *ngIf="
                      DriverForm.controls['gender'].invalid &&
                      (DriverForm.controls['gender'].dirty ||
                        DriverForm.controls['gender'].touched ||
                        f.submitted)
                    ">
                    <div *ngIf="DriverForm.controls['gender'].errors.required">
                      Gender is required.
                    </div>
                  </div>
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Marital status </label>
                <div class="col-sm-10  form-input">
                  <mat-select class="form-control" formControlName="marital_status" placeholder=" Marital status">
                    <mat-option value="Single">Single</mat-option>
                    <mat-option value="Married">Married</mat-option>
                    <mat-option value="Divorced">Divorced</mat-option>
                    <mat-option value="Other">Other</mat-option>
                  </mat-select>
                  <div class="error-msg" *ngIf="
                      DriverForm.controls['marital_status'].invalid &&
                      (DriverForm.controls['marital_status'].dirty ||
                        DriverForm.controls['marital_status'].touched ||
                        f.submitted)
                    ">
                    <div *ngIf="
                        DriverForm.controls['marital_status'].errors.required
                      ">
                      Marital Status is required.
                    </div>
                  </div>
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Birth date </label>
                <div class="col-sm-10  form-input">
                  <my-date-picker name="birth_date" placeholder=" Birth date" formControlName="birth_date"
                    [options]="myBirthDatePickerOptions"></my-date-picker>
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Home address</label>
                <div class="col-sm-10  form-input">
                  <input type="text" maxlength="25" formControlName="home_address" placeholder=" Home address"
                    class="form-control" />
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Emirates ID </label>
                <div class="col-sm-10  form-input">
                  <input type="text" maxlength="20" formControlName="emirates_id" class="form-control"
                    placeholder=" Emirates ID" />
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Emirates ID expiry </label>
                <div class="col-sm-10  form-input">
                  <my-date-picker name="emirates_id_expiry" placeholder=" Emirates ID expiry" formControlName="emirates_id_expiry"
                    [options]="myDatePickerExpiryOptions"></my-date-picker>
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Nationality</label>
                <div class="col-sm-10  form-input">
                  <input type="text" maxlength="15" formControlName="nationality" class="form-control"
                    placeholder=" Nationality" />
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label">Employee ID <i aria-hidden="true" class="mandatory">*</i>
                </label>
                <div class="col-sm-10  form-input">
                  <input type="text" maxlength="15" pattern="[0-9]+([.][0-9]+)?" formControlName="emp_id"
                    placeholder="Employee ID" class="form-control" />
                  <div class="error-msg" *ngIf="
                      DriverForm.controls['emp_id'].invalid &&
                      (DriverForm.controls['emp_id'].dirty ||
                        DriverForm.controls['emp_id'].touched ||
                        f.submitted)
                    ">
                    <div *ngIf="DriverForm.controls['emp_id'].errors.required">
                      Employee ID is required.
                    </div>
                    <div [hidden]="
                        !DriverForm.controls['emp_id'].errors.pattern
                      ">
                      Only numbers are allowed.
                    </div>
                  </div>
                </div>
              </div>
              <div class="form-group" *ngIf='is_temp_enable'>
                <label class="col-sm-2 control-label">Account Number
                </label>
                <div class="col-sm-10  form-input">
                  <input type="text" formControlName="account_details" placeholder="Account number"
                    class="form-control" />
                </div>
              </div>
            </div>
            <div class="col-lg-6">
              <div class="form-group">
                <label class="col-sm-2 control-label">E-mail <i aria-hidden="true" class="mandatory">*</i>
                </label>
                <div class="col-sm-10  form-input">
                  <label style="display:none">FAKE FIELD FOR DISABLING CHROME AUTO FILL
                  </label>
                  <input type="text" maxlength="50" placeholder="Email" name="email"
                    pattern="^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$" formControlName="email"
                    class="form-control" />
                  <div class="error-msg" *ngIf="
                      DriverForm.controls['email'].invalid &&
                      (DriverForm.controls['email'].dirty ||
                        DriverForm.controls['email'].touched ||
                        f.submitted)
                    ">
                    <div *ngIf="DriverForm.controls['email'].errors.required">
                      E-mail is required.
                    </div>
                    <div [hidden]="!DriverForm.controls['email'].errors.pattern">
                      E-mail is not valid.
                    </div>
                  </div>
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Residence</label>
                <div class="col-sm-10  form-input">
                  <input type="text" maxlength="25" formControlName="residence" placeholder=" Residence"
                    class="form-control" />
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Residence expiry date
                </label>
                <div class="col-sm-10 form-input">
                  <my-date-picker name="residence_expiry_date" placeholder=" Residence expiry date"
                    formControlName="residence_expiry_date" [options]="myDatePickerExpiryOptions"></my-date-picker>
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Joined company since
                </label>
                <div class="col-sm-10  form-input">
                  <my-date-picker name="company_join_date" placeholder=" Joined company since"
                    formControlName="company_join_date" [options]="myBirthDatePickerOptions"></my-date-picker>
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Driver licence number
                </label>
                <div class="col-sm-10  form-input">
                  <input type="text" maxlength="15" formControlName="driver_licence_number"
                    placeholder=" Driver licence number" class="form-control" />
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Driver licence expiry date
                </label>
                <div class="col-sm-10  form-input">
                  <my-date-picker name="driver_licence_expiry_date" placeholder="Driver licence expiry date"
                    formControlName="driver_licence_expiry_date" [options]="myDatePickerExpiryOptions">
                  </my-date-picker>
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Phone number <i aria-hidden="true" class="mandatory">*</i>
                </label>
                <div class="col-sm-1" style="padding:10px">+971</div>
                <div class="col-sm-9  form-input">
                  <label style="display:none">FAKE FIELD FOR DISABLING CHROME AUTO FILL
                  </label>
                  <input type="text" formControlName="phone_number" maxlength="9" pattern="[0-9]+([.][0-9]+)?"
                    placeholder=" Phone number" class="form-control" />
                  <div class="error-msg" *ngIf="
                      DriverForm.controls['phone_number'].invalid &&
                      (DriverForm.controls['phone_number'].dirty ||
                        DriverForm.controls['phone_number'].touched ||
                        f.submitted)
                    ">
                    <div *ngIf="
                        DriverForm.controls['phone_number'].errors.required
                      ">
                      Phone number is required.
                    </div>
                    <div [hidden]="
                        !DriverForm.controls['phone_number'].errors.pattern
                      ">
                      Only numbers are allowed.
                    </div>
                    <div [hidden]="
                        !DriverForm.controls['phone_number'].errors.minlength
                      ">
                      Phone number length should be of length 9 digits
                    </div>
                    <div [hidden]="
                        !DriverForm.controls['phone_number'].errors.maxlength
                      ">
                      Phone number length should be of length 9 digits
                    </div>
                  </div>
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">VPN number </label>
                <div class="col-sm-10  form-input">
                  <input type="text" maxlength="15" formControlName="vpn_number" placeholder=" VPN number"
                    class="form-control" />
                </div>
              </div>

              <div class="form-group" *ngIf='dtc'>
                <label class="col-sm-2 control-label">Company <i aria-hidden="true" class="mandatory">*</i></label>
                <div class="col-sm-10  form-input">
                  <mat-select class="form-control" placeholder="Companies" name="company" formControlName="company"
                    class="form-control" required>
                    <mat-option *ngFor="let group of CompanyData" [value]="group._id">
                      {{ group.company_name }}</mat-option>
                  </mat-select>
                  <div class="error-msg"
                    *ngIf="DriverForm.controls['company'].invalid && (DriverForm.controls['company'].dirty || DriverForm.controls['company'].touched)">
                    <div *ngIf="DriverForm.controls['company'].errors.required">Company is required.</div>
                  </div>
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Register with WASL
                </label>
                <div class="col-sm-10  form-input">
                  <mat-select class="form-control" formControlName="register_with_WASL"
                    placeholder=" Register with WASL">
                    <mat-option value="yes">Yes</mat-option>
                    <mat-option value="no">No</mat-option>
                  </mat-select>
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Assign Shift Timings
                </label>
                <div class="col-sm-10  form-input">
                  <mat-select class="form-control" placeholder=" Assign Shift Timings"
                    formControlName="shift_timings_id" name="shift_timings_id">
                    <mat-option value=""> Assign Shift Timings</mat-option>
                    <mat-option *ngFor="let ShiftTimings of ShiftTimingsData" [value]="ShiftTimings._id">
                      {{ ShiftTimings.name }}
                    </mat-option>
                  </mat-select>
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Driver groups</label>
                <div class="col-sm-10  form-input">
                  <mat-select class="form-control" placeholder=" Driver groups" formControlName="driver_groups"
                    multiple>
                    <mat-option *ngFor="let group of driverGroupData" [value]="group._id">{{ group.name }}
                    </mat-option>
                  </mat-select>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label">Freelance Driver
                </label>
                <div class="col-sm-10  form-input">
                  <mat-select class="form-control" formControlName="is_temperory" placeholder="Freelance Driver"
                    (ngModelChange)="checkfreelance($event)">
                    <mat-option value="1">Yes</mat-option>
                    <mat-option value="0">No</mat-option>
                  </mat-select>
                </div>
              </div>
              <div class="form-group" *ngIf='is_temp_enable'>
                <label class="col-sm-2 control-label">IBAN
                </label>
                <div class="col-sm-10  form-input">
                  <input type="text" formControlName="iban" placeholder="IBAN number" class="form-control" />
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label">RTA permit number</label>
                <div class="col-sm-10  form-input">
                  <input type="text" formControlName="permit_number" placeholder="RTA permit number"
                    class="form-control" />
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">RTA Permit expiry date
                </label>
                <div class="col-sm-10 form-input">
                  <my-date-picker readonly name="permit_expiry_date" placeholder="RTA permit expiry date"
                    formControlName="permit_expiry_date" [options]="myDatePickerExpiryOptions"></my-date-picker>
                </div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <div class="col-sm-4 col-sm-offset-2">
              <button class="btn btn-primary blue" type="submit">Save</button>
              <button class="btn btn-sm btn-primary red" type="button" [routerLink]="['/admin/fleet/drivers']">
                Cancel
              </button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>